Get Shipping Fee by ID
1 min
GET
https://api.upstartcommerce.com/v1/shipping-fee/{shippingFeeId}
Path Parameters
- shippingFeeIdstringrequiredDescription
Header Parameters
- x-upstart-tenantstringrequiredDescription
- x-upstart-sitestringDescription
Responses
200
- ShippingFeeDescription
- idstringrequiredExampleDescription
- namestringrequiredExampleDescription
- descriptionstring
- siteIdsstring[]required
- catalogSkuItemsCatalogSkuItem[]requiredDescription
- catalogItemIdstringrequiredDescription
- skuItemIdstring[]
- pricesShippingFeePricing[]requiredDescription
- pricenumberrequired
- currencystringrequired
401
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
404
- ErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstringrequired
- reasonstring
curl
curl --request GET \
--url https://api.upstartcommerce.com/v1/shipping-fee/{shippingFeeId} \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/shipping-fee/{shippingFeeId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/shipping-fee/{shippingFeeId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/shipping-fee/{shippingFeeId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Success-shipping fee returned.
{
"id": "fee1",
"name": "Shipping And Handling fee",
"description": "",
"siteIds": [
""
],
"catalogSkuItems": [
{
"catalogItemId": "",
"skuItemId": [
""
]
}
],
"prices": [
{
"price": 0,
"currency": ""
}
]
}401
// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}404
// The requested resource was not found in the NoChannel system.
{
"name": "",
"code": "",
"detail": "",
"reason": ""
}